PDA

View Full Version : Why complier error?



1207victory
06-21-2014, 12:07 AM
My computer is mbp ox 10.9.
I try my first opengl and try https://www.youtube.com/watch?v=SAmD_Aq1Un4.
But I meet error message.
About blew
warning: 'glutInit' is deprecated: first deprecated in OX X 10.9 (glutInit(&argc, argv))

Who can teach me ? How to find solve?

Agent D
06-21-2014, 03:43 AM
That's not a compiler error, it's a warning.

It basically says that glut is deprecated and should not be used in new programs.

I guess that the developers at Apple would prefere you to use their system API instead of glut.